import {objToCamel, isValue, YMDHms} from "../../util/index.js";

export default class ParamsEntity {
  constructor(obj) {
    objToCamel(obj)
    this.sourceId = isValue(obj?.sourceId) ? obj.sourceId : null
    this.id = isValue(obj?.id) ? obj.id : null
    this.createTime = isValue(obj?.createTime) ? YMDHms(obj.createTime) : null
    this.updateTime = isValue(obj?.updateTime) ? YMDHms(obj.updateTime) : null
    this.trackKey = isValue(obj?.trackKey) ? obj.trackKey : null
    this.trackPointKey = isValue(obj?.trackPointKey) ? obj.trackPointKey : null
    this.trackWktKey = isValue(obj?.trackWktKey) ? obj.trackWktKey : null
    this.trackSpeedKey = isValue(obj?.trackSpeedKey) ? obj.trackSpeedKey : null
    this.trackCourseKey = isValue(obj?.trackCourseKey) ? obj.trackCourseKey : null
    this.trackHeadKey = isValue(obj?.trackHeadKey) ? obj.trackHeadKey : null
    this.historyTrackKey = isValue(obj?.historyTrackKey) ? obj.historyTrackKey : null
    this.historyTrackPointKey = isValue(obj?.historyTrackPointKey) ? obj.historyTrackPointKey : null
    this.historyTrackWktKey = isValue(obj?.historyTrackWktKey) ? obj.historyTrackWktKey : null
    this.historyTrackSpeedKey = isValue(obj?.historyTrackSpeedKey) ? obj.historyTrackSpeedKey : null
    this.historyTrackCourseKey = isValue(obj?.historyTrackCourseKey) ? obj.historyTrackCourseKey : null
    this.historyTrackHeadKey = isValue(obj?.historyTrackHeadKey) ? obj.historyTrackHeadKey : null
  }
}